Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005493TestLinkBug Tracking System - Mantis Integrationpublic2013-01-23 14:532013-06-06 13:44
Reporterteunehv 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.5 (2012 Q4 - bug fixing) 
Fixed in Version1.9.7 (2013 Q2 - bug fixing) 
Summary0005493: Mantis bug not visible - Integration via Database
DescriptionMantis issue is not visible in Testlink, a row is shown for each added bug but it's not showing up. See attachement.

Version: TestLink Development Prague 1.9.6 (Q1 2013)
Steps To Reproduce1. Execute test
2. Fail the test
3. Add a bug in Mantis via the link "Access to Bug Tracking System (Bevindingenbeheer)"
4. Add bug to testcase via the link "Link existent issue"

Relevant bug row is showing up, but now issue is shown.
Additional InformationWhen try to delete an issue the correct id is asked to be deleted.
When adding a non existent issue, message returned that the issue doesn't exist (so the connection is working I guess).

Eventlog shows several warnings:
E_NOTICE Undefined index: can_delete_execution - in /usr/www/html/tst/testlink195-hotfix/gui/templates_c/%%8E^8EC^8ECF17FA%%inc_exec_show_tc_exec.tpl.php - Line 398
E_NOTICE Trying to get property of non-object - in /usr/www/html/tst/testlink195-hotfix/lib/functions/exec.inc.php - Line 199
E_NOTICE Trying to get property of non-object - in /usr/www/html/tst/testlink195-hotfix/lib/functions/exec.inc.php - Line 198
E_NOTICE Undefined property: stdClass::$order_by - in /usr/www/html/tst/testlink195-hotfix/lib/functions/tlAttachmentRepository.class.php - Line 501
E_NOTICE Undefined property: stdClass::$order_by - in /usr/www/html/tst/testlink195-hotfix/lib/functions/tlAttachmentRepository.class.php - Line 501
E_NOTICE Undefined property: stdClass::$order_by - in /usr/www/html/tst/testlink195-hotfix/lib/functions/tlAttachmentRepository.class.php - Line 501

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserIE/Chrome
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon Capture.PNG [^] (22,759 bytes) 2013-01-23 14:53

- Relationships
child of 0005551closedfman Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious 

-  Notes
(0018211)
teunehv (reporter)
2013-01-23 14:54

Used the DB connection option, not SOAP.
(0018212)
fman (administrator)
2013-01-23 15:35

1. if you select one version on combo box when reporting is CRITIC That then if you have used another version this info has been HIGHLITED in some way.
Without this kind of visual indication developer got confused
(0018602)
Baamster (reporter)
2013-03-29 14:42

How is this fixed? I have the same issue, but I do not see any solution?
(0018604)
fman (administrator)
2013-03-29 16:47
edited on: 2013-03-29 16:49

Issue will be fixed with 1.9.7 release. (as is clearly indicated on issue attributes)
Meanwhile you can follow instructions present on 0005551
Please give a look to mantis site to understand how somethings work, like
accessing fixed before full release is released:
Availables hot-fixes for 1.9.6 & How To get full fixed package from gitorious

(0018752)
snowyfu (reporter)
2013-04-23 07:44

I follow instructions present on 0005551 to download the hot fix and apply the package, but still can not fix the issue.
(0018754)
fman (administrator)
2013-04-23 09:14

Get latest code frim gitorious , do fresh install, retest and provide detailed steps to reproduce

- Issue History
Date Modified Username Field Change
2013-01-23 14:53 teunehv New Issue
2013-01-23 14:53 teunehv File Added: Capture.PNG
2013-01-23 14:54 teunehv Note Added: 0018211
2013-01-23 15:35 fman Note Added: 0018212
2013-01-23 17:20 fman Description Updated View Revisions
2013-03-23 10:18 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-03-23 10:18 fman Status new => resolved
2013-03-23 10:18 fman Fixed in Version => 1.9.7 (2013 Q2 - bug fixing)
2013-03-23 10:18 fman Resolution open => fixed
2013-03-23 10:18 fman Assigned To => fman
2013-03-23 10:18 fman Summary Mantis bug not visible => Mantis bug not visible - Integration via Database
2013-03-29 14:42 Baamster Note Added: 0018602
2013-03-29 16:47 fman Note Added: 0018604
2013-03-29 16:48 fman Relationship added child of 0005551
2013-03-29 16:48 fman Note Edited: 0018604 View Revisions
2013-03-29 16:49 fman Note Edited: 0018604 View Revisions
2013-03-29 16:49 fman Note Edited: 0018604 View Revisions
2013-03-29 16:49 fman Note Edited: 0018604 View Revisions
2013-04-23 07:44 snowyfu Note Added: 0018752
2013-04-23 09:14 fman Note Added: 0018754
2013-05-22 20:58 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker